<?php

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    
    // Collect form data
    $full_name = htmlspecialchars($_POST['full-name']);
    $email = htmlspecialchars($_POST['email']);
    $position = htmlspecialchars($_POST['position']);
    $cover_letter = htmlspecialchars($_POST['cover-letter']);
    
    // Prepare the email content
    $to = "info@fireworldbbq.com"; // Your email address
    $subject = "Job Application - " . $full_name;
    $message = "Job Application Details:\n\n";
    $message .= "Full Name: " . $full_name . "\n";
    $message .= "Email: " . $email . "\n";
    $message .= "Position Applying For: " . $position . "\n\n";
    $message .= "Cover Letter:\n" . $cover_letter . "\n";
    
    // Email headers
    $headers = "From: " . $email . "\r\n";
    $headers .= "Reply-To: " . $email . "\r\n";
    $headers .= "Content-Type: text/plain; charset=UTF-8\r\n";
    
    // Send the email
    if (mail($to, $subject, $message, $headers)) {
        echo "<p style='text-align: center; color: green;'>Thank you for your application, " . $full_name . "! We will get back to you shortly.</p>";
    } else {
        echo "<p style='text-align: center; color: red;'>Sorry, there was an issue with submitting your application. Please try again later.</p>";
    }
}
?>
